View Issue Details

IDProjectCategoryLast Update
0020617AI War 2[All Projects] Bug - GameplayApr 19, 2019 1:43 pm
ReporterTalkarAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.804 Hack Me Quickly 
Fixed in VersionBETA 0.851 Drones And Economies 
Summary0020617: Double clicking units applies to double clicks that do not start on the unit
DescriptionClicking an area of empty space (or anything, such as another unit) and then clicking on a unit acts as if double clicking that unit, which selects all nearby units. Seems possibly related to 0020481

In general, double-click events seem to disregard whether the cursor has moved any amount of distance between clicks. Maybe add a distance limit and possibly a reduction or setting for double-click speed?
TagsNo tags attached.

Relationships

related to 0020481 resolvedx4000Bughunter Clicking on different planets quickly in the galaxy view acts like a double-click that opens a planet view, really annoying 

Activities

x4000Bughunter

Apr 19, 2019 1:43 pm

administrator   ~0051199

Thanks!

* Fixed (but have not tested) a longstanding bug where it would register a double-click if you were clicking too rapidly between different parts of the screen. Mice are fast! Now if you've moved the mouse more than 10px, it doesn't consider it a double-click. Probably. We need to test that.

Issue History

Date Modified Username Field Change
Oct 18, 2018 1:48 pm Talkar New Issue
Oct 24, 2018 10:09 am Dune Relationship added related to 0020481
Oct 24, 2018 10:09 am Dune Assigned To => x4000Bughunter
Oct 24, 2018 10:09 am Dune Status new => assigned
Apr 19, 2019 1:43 pm x4000Bughunter Status assigned => resolved
Apr 19, 2019 1:43 pm x4000Bughunter Resolution open => fixed
Apr 19, 2019 1:43 pm x4000Bughunter Fixed in Version => BETA 0.851 Drones And Economies
Apr 19, 2019 1:43 pm x4000Bughunter Note Added: 0051199